Page MenuHomePhabricator

edit (pencil) icons for sections misplaced in stable
Closed, ResolvedPublic

Description

I'm seeing this problem commonly on stable:

That's on the Carnism article. The edit icon is pushed down and overlaps the border for the header even though it appears there is plenty of room for it on the line with the header.

Event Timeline

kaldari created this task.Jul 8 2015, 3:54 AM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Readers-Web-Backlog.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2015, 3:54 AM

It looks like there are 2 issues. First the icon anchor should probably come before the mw-headline span in the DOM (so that it doesn't get pushed down), and second, the span shouldn't have that huge right-padding on it. It seems weird that it's currently built the way it is. Did this change recently?

Jhernandez triaged this task as High priority.Jul 8 2015, 10:01 AM
Jhernandez added a subscriber: Jhernandez.

See carnism article https://en.m.wikipedia.org/wiki/Carnism?mobileaction=beta with a width of 350px for the viewport. Reproducible everywhere.

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJul 8 2015, 10:02 AM
kaldari claimed this task.Jul 8 2015, 5:17 PM
kaldari moved this task from To Do to Doing on the Reading-Web-Sprint-51-YOLO board.

Having trouble getting my new dev environment working, so I'd better let someone else take this for now...

kaldari removed kaldari as the assignee of this task.Jul 9 2015, 4:58 AM
kaldari moved this task from Doing to To Do on the Reading-Web-Sprint-51-YOLO board.
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-51-YOLO board.

Change 223769 had a related patch set uploaded (by Bmansurov):
Correctly place the edit (pencil) icons for sections

https://gerrit.wikimedia.org/r/223769

@kaldari to answer your question, yes that code changed recently. I added some explanation in the commit message.

kaldari closed this task as Resolved.Jul 10 2015, 4:26 AM

Change 223769 merged by jenkins-bot:
Correctly place the edit (pencil) icons for sections

https://gerrit.wikimedia.org/r/223769